<?php

namespace Drupal\webpay\Plugin;

use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * Provides the Webpay commerce system plugin manager.
 */
class WebpayCommerceSystemManager extends DefaultPluginManager {


  /**
   * Constructs a new WebpayCommerceSystemManager object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/WebpayCommerceSystem', $namespaces, $module_handler, 'Drupal\webpay\Plugin\WebpayCommerceSystemInterface', 'Drupal\webpay\Annotation\WebpayCommerceSystem');

    $this->alterInfo('webpay_webpay_commerce_system_info');
    $this->setCacheBackend($cache_backend, 'webpay_webpay_commerce_system_plugins');
  }

}
